package channel

import (
	"context"

	"kami/internal/model"
	"kami/internal/systemV2/service"

	"kami/api/channel/v2"
)

func (c *ControllerV2) EntranceUpdate(ctx context.Context, req *v2.EntranceUpdateReq) (res *v2.EntranceUpdateRes, err error) {
	entrance := service.Entrance()
	err = entrance.Update(ctx, model.EntranceInputWithID{Entrance: req.Entrance, CommonStrId: req.CommonStrId})
	return
}
